Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Persistence/Legacy/Content/Type/Gateway.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Persistence\Legacy\Content\Type;
8
9 use eZ\Publish\SPI\Persistence\Content\Type;
10 use eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition;
11 use eZ\Publish\SPI\Persistence\Content\Type\Group;
12 use eZ\Publish\SPI\Persistence\Content\Type\Group\UpdateStruct as GroupUpdateStruct;
13 use eZ\Publish\Core\Persistence\Legacy\Content\StorageFieldDefinition;
14
18 abstract class Gateway
19 {
27 abstract public function insertGroup(Group $group);
28
34 abstract public function updateGroup(GroupUpdateStruct $group);
35
43 abstract public function countTypesInGroup($groupId);
44
53 abstract public function countGroupsForType($typeId, $status);
54
60 abstract public function deleteGroup($groupId);
61
69 abstract public function loadGroupData(array $groupIds);
70
78 abstract public function loadGroupDataByIdentifier($identifier);
79
85 abstract public function loadAllGroupsData();
86
95 abstract public function loadTypesDataForGroup($groupId, $status);
96
105 abstract public function insertType(Type $type, $typeId = null);
106
114 abstract public function insertGroupAssignment($typeId, $status, $groupId);
115
123 abstract public function deleteGroupAssignment($groupId, $typeId, $status);
124
133 abstract public function loadFieldDefinition($id, $status);
134
145 abstract public function insertFieldDefinition(
146 $typeId,
147 $status,
148 FieldDefinition $fieldDefinition,
149 StorageFieldDefinition $storageFieldDef
150 );
151
159 abstract public function deleteFieldDefinition($typeId, $status, $fieldDefinitionId);
160
169 abstract public function updateFieldDefinition(
170 $typeId,
171 $status,
172 FieldDefinition $fieldDefinition,
173 StorageFieldDefinition $storageFieldDef
174 );
175
183 abstract public function updateType($typeId, $status, Type $type);
184
192 abstract public function loadTypesListData(array $typeIds): array;
193
202 abstract public function loadTypeData($typeId, $status);
203
213 abstract public function loadTypeDataByIdentifier($identifier, $status);
214
224 abstract public function loadTypeDataByRemoteId($remoteId, $status);
225
233 abstract public function countInstancesOfType($typeId);
234
241 abstract public function delete($typeId, $status);
242
249 abstract public function deleteFieldDefinitionsForType($typeId, $status);
250
259 abstract public function deleteType($typeId, $status);
260
267 abstract public function deleteGroupAssignmentsForType($typeId, $status);
268
277 abstract public function publishTypeAndFields($typeId, $sourceStatus, $targetStatus);
278
284 abstract public function getSearchableFieldMapData();
285
293 abstract public function removeFieldDefinitionTranslation(
294 int $fieldDefinitionId,
295 string $languageCode,
296 int $status
297 ): void;
298
305 abstract public function removeByUserAndVersion(int $userId, int $version): void;
306 }
eZ\Publish\Core\Persistence\Legacy\Content\StorageFieldDefinition
Definition: StorageFieldDefinition.php:12
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway
Base class for content type gateways.
Definition: Persistence/Legacy/Content/Type/Gateway.php:19
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\getSearchableFieldMapData
getSearchableFieldMapData()
Returns searchable fields mapping data.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\loadTypesListData
loadTypesListData(array $typeIds)
Loads an array with data about several Types in defined status.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\insertType
insertType(Type $type, $typeId=null)
Inserts a new content type.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\loadTypesDataForGroup
loadTypesDataForGroup($groupId, $status)
Loads data for all Types in $status in $groupId.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\deleteFieldDefinition
deleteFieldDefinition($typeId, $status, $fieldDefinitionId)
Deletes a field definition.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\deleteGroupAssignment
deleteGroupAssignment($groupId, $typeId, $status)
Deletes a group assignments for a Type.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\loadGroupDataByIdentifier
loadGroupDataByIdentifier($identifier)
Returns an array with data about the Group with $identifier.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\countTypesInGroup
countTypesInGroup($groupId)
Returns the number of types in a certain group.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\publishTypeAndFields
publishTypeAndFields($typeId, $sourceStatus, $targetStatus)
Publishes the Type with $typeId from $sourceVersion to $targetVersion, including its fields.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\loadTypeDataByRemoteId
loadTypeDataByRemoteId($remoteId, $status)
Loads an array with data about the type referred to by $remoteId in $status.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\removeByUserAndVersion
removeByUserAndVersion(int $userId, int $version)
Removes items created or modified by the user.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\insertFieldDefinition
insertFieldDefinition( $typeId, $status, FieldDefinition $fieldDefinition, StorageFieldDefinition $storageFieldDef)
Inserts a $fieldDefinition for $typeId.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\loadTypeData
loadTypeData($typeId, $status)
Loads an array with data about $typeId in $status.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\loadAllGroupsData
loadAllGroupsData()
Returns an array with data about all Group objects.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\updateFieldDefinition
updateFieldDefinition( $typeId, $status, FieldDefinition $fieldDefinition, StorageFieldDefinition $storageFieldDef)
Updates a $fieldDefinition for $typeId.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\loadTypeDataByIdentifier
loadTypeDataByIdentifier($identifier, $status)
Loads an array with data about the type referred to by $identifier in $status.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\deleteGroup
deleteGroup($groupId)
Deletes the Group with the given $groupId.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\insertGroupAssignment
insertGroupAssignment($typeId, $status, $groupId)
Insert assignment of $typeId to $groupId.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\deleteType
deleteType($typeId, $status)
Deletes a the Type.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\deleteFieldDefinitionsForType
deleteFieldDefinitionsForType($typeId, $status)
Deletes all field definitions of a Type.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\loadFieldDefinition
loadFieldDefinition($id, $status)
Loads an array with data about field definition referred $id and $status.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\updateType
updateType($typeId, $status, Type $type)
Update a type with $updateStruct.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\loadGroupData
loadGroupData(array $groupIds)
Returns an array with data about the Group(s) with $groupIds.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\countGroupsForType
countGroupsForType($typeId, $status)
Returns the number of Groups the type is assigned to.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\updateGroup
updateGroup(GroupUpdateStruct $group)
Updates a group with data in $group.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\countInstancesOfType
countInstancesOfType($typeId)
Counts the number of instances that exists of the identified type.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\removeFieldDefinitionTranslation
removeFieldDefinitionTranslation(int $fieldDefinitionId, string $languageCode, int $status)
Removes fieldDefinition data from multilingual table.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\deleteGroupAssignmentsForType
deleteGroupAssignmentsForType($typeId, $status)
Deletes all group assignments for a Type.
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\insertGroup
insertGroup(Group $group)
Inserts the given $group.
eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition
Definition: SPI/Persistence/Content/Type/FieldDefinition.php:18
eZ\Publish\SPI\Persistence\Content\Type\Group\UpdateStruct
Definition: Content/Type/Group/UpdateStruct.php:12
eZ\Publish\SPI\Persistence\Content\Type\Group
Definition: Type/Group.php:12
eZ\Publish\SPI\Persistence\Content\Type
SPI Persistence Content\Type value object.
Definition: SPI/Persistence/Content/Type.php:15
eZ\Publish\SPI\Persistence\Content\Type\$identifier
$identifier
Definition: SPI/Persistence/Content/Type.php:68
eZ\Publish\SPI\Persistence\Content\Type\$remoteId
$remoteId
Definition: SPI/Persistence/Content/Type.php:103
eZ\Publish\SPI\Persistence\Content\Type\$id
$id
Definition: SPI/Persistence/Content/Type.php:30
eZ\Publish\SPI\Persistence\Content\Type\$groupIds
$groupIds
Definition: SPI/Persistence/Content/Type.php:165
eZ\Publish\SPI\Persistence\Content\Type\$status
$status
Definition: SPI/Persistence/Content/Type.php:37
eZ\Publish\SPI\Persistence\Content\Type\Group
Definition: SPI/Persistence/Content/Type/Group/CreateStruct.php:7
eZ\Publish\SPI\Persistence\Content\Type
Definition: SPI/Persistence/Content/Type/CreateStruct.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.